<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.Collection" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.database.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.mail.*" %>
<%@ page import="net.sz600.online.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.docEngine.*" %>
<%@ page import="net.sz600.weboffice.*" %>
<%@ include file="/sessionInfoWeixin.jsp"%>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="format-detection" content="telephone=no" />
<%@ include file="/share/oa_app_title.jsp"%>
 <link href="images/soarwell_css.css" rel="stylesheet" type="text/css" />
</head>
<%@ include file="/app/title.jsp"%>
<%
	ReadDocEngineXml docEngine = new ReadDocEngineXml();
	BdDesktop bdDesktop = new BdDesktop();
  SzModuleApp szModuleApp = new SzModuleApp();
	BdValueControl bdValueControl = new BdValueControl();
	int iTitleLenOther = SzConvert.toInt(ReadOaConfig.getInstance().getDesktop_other());
	if (iTitleLenOther == 0) {
		iTitleLenOther = 14;
	}
	iTitleLenOther = 13;
	int iCount = 0;
	String sLink = "";
	int iRecordCount = 3;
	int iTransactCount = 0;	
	int iMKID = 0;
  boolean onlyShowNew = false;
%>
<table width="100%" border="0" cellspacing="3" cellpadding="3" style="border:#D7D7D9 1px solid;">
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td style="background-color:#DFF2FA">
    <%
    sLink = "formEngine/stat_transact.jsp";
    iCount = bdValueControl.printTransactCountAll(iDLID_SESSION, "0", 1);
    out.println("<a href=\"" + sLink + "\" onfocus=\"javascript:blur();\">");
		out.println("<span class=\"product_name\">");
		out.println("我的待办");
	  out.println("<span class=\"product_price\">(");
		out.println(iCount);
		out.println(")</span>");
	      
		out.println("</span>");
    out.println("</a>");
   
    %>
    </td>
  </tr>
  <tr>
    <td>  
						 	<div class="d_center">
						   	<ul>	
						   	<!-- 显示数据 -->		
									<%
									iRecordCount = 3;
									iTransactCount = 0;						
	
									out.println(bdDesktop.printMainTransactNewAllApp("", session, strSkin_SESSION, 0, strLevel_SESSION, iRecordCount, iTitleLenOther));
									%>
						  	</ul>
							</div>  
		</td>
  </tr>
  
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td style="background-color:#DFF2FA">
    <%
    sLink = "formEngine/stat_receive.jsp";
    iCount = bdValueControl.printReceiveCountAll(iDLID_SESSION, "0");
    out.println("<a href=\"" + sLink + "\" onfocus=\"javascript:blur();\">");
		out.println("<span class=\"product_name\">");
		out.println("我的待阅");
		out.println("<span class=\"product_price\">(");
		out.println(iCount);
		out.println(")</span>");		
		out.println("</span>");
    out.println("</a>");   
    %>
    </td>
  </tr>  
  <tr>
    <td>  
						 	<div class="d_center">
						   	<ul>	
						   	<!-- 显示数据 -->		
									<%
									iRecordCount = 3;
									iTransactCount = 0;						
	
									out.println(bdDesktop.printMainReceiveNewAll("", session, strSkin_SESSION, 0, strLevel_SESSION, iRecordCount, iTitleLenOther));
									%>
						  	</ul>
							</div>  
		</td>
  </tr>  
  
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td style="background-color:#DFF2FA">
    <%
		YjMailNew yjMail = new YjMailNew();

    iCount = yjMail.printMainNewCount(iDLID_SESSION, onlyShowNew);
    iMKID = szModuleApp.getMailMKID();
    sLink = szModuleApp.getMailUrl(iMKID);
    out.println("<a href=\"" + strLevel_SESSION +  sLink + "\" onfocus=\"javascript:blur();\">");
		out.println("<span class=\"product_name\">");
		out.println("我的邮件");
		out.println("<span class=\"product_price\">(");
		out.println(iCount);
		out.println(")</span>");			
		out.println("</span>");
    out.println("</a>");   
    %>
    </td>
  </tr>     
  <tr>
    <td>  
						 	<div class="d_center">
						   	<ul>	
						   	<!-- 显示数据 -->		
									<%
									iRecordCount = 3;
									iTransactCount = 0;			
									
									out.println(yjMail.printMainNew(session, strSkin_SESSION, strLevel_SESSION, iRecordCount, iTitleLenOther, onlyShowNew, iMKID, 1));
									%>
						  	</ul>
							</div>  
		</td>
  </tr>   
  
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td style="background-color:#DFF2FA">
    <%   
    iMKID = szModuleApp.getOnlineMKID();
    sLink = szModuleApp.getOnlineUrl(iMKID);
    iCount = OlUserSession.getInstance().refresh(iDLID_SESSION); 
    out.println("<a href=\"" + strLevel_SESSION + sLink + "\" onfocus=\"javascript:blur();\">");
		out.println("<span class=\"product_name\">");
		out.println("未收消息");
		out.println("<span class=\"product_price\">(");
		out.println(iCount);
		out.println(")</span>");			
		out.println("</span>");
    out.println("</a>");   
    %>
    </td>
  </tr> 
  <tr>
    <td>  
						 	<div class="d_center">
						   	<ul>	
						   	<!-- 显示数据 -->		
									<%
									iRecordCount = 3;
									iTransactCount = 0;		
									OlMessageControl olMessageControl = new OlMessageControl();
									
									
									out.println(olMessageControl.printMainNew(session, strSkin_SESSION, strLevel_SESSION, iRecordCount, iTitleLenOther, onlyShowNew, iMKID, 1));
									%>
						  	</ul>
							</div>  
		</td>
  </tr>  
  
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td style="background-color:#DFF2FA">
    <%
    iMKID = szModuleApp.getDocMKID("12");
    sLink = szModuleApp.getDocUrl("12", iMKID);
    out.println("<a href=\"" + strLevel_SESSION + sLink + "\" onfocus=\"javascript:blur();\">");
		out.println("<span class=\"product_name\">");
		out.println("我的公告");
		out.println("</span>");
    out.println("</a>");   

    %>
    </td>
  </tr>  
  <tr>
    <td>  
						 	<div class="d_center">
						   	<ul>	
						   	<!-- 显示数据 -->		
									<%
									iRecordCount = 3;
									iTransactCount = 0;		
									
									
									out.println(docEngine.printMainListNew("12", "公告", session, strSkin_SESSION, iRecordCount, iTitleLenOther, "0", iMKID, 1));
									%>
						  	</ul>
							</div>  
		</td>
  </tr>    
  
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td style="background-color:#DFF2FA">
    <%
    iMKID = szModuleApp.getFormIndexMKID(1559);
    sLink = szModuleApp.getFormIndexUrl(1559, iMKID);
    out.println("<a href=\""  + strLevel_SESSION +  sLink + "\" onfocus=\"javascript:blur();\">");
		out.println("<span class=\"product_name\">");
		out.println("我的工作");
		out.println("</span>");
    out.println("</a>");   
    %>
    </td>
  </tr>  
  <tr>
    <td>  
						 	<div class="d_center">
						   	<ul>	
						   	<!-- 显示数据 -->		
									<%
									iRecordCount = 3;
									iTransactCount = 0;						
									//int iFormID, int iMKID, int iDLID, int iBMID, int iRecordCount, int iTitleCount, int iApp
									out.println(bdDesktop.printMainList(1559, iMKID, iDLID_SESSION, iBMID_SESSION, iRecordCount, iTitleLenOther, 1));
									%>
						  	</ul>
							</div>  
		</td>
  </tr>  
  
 


</table>

